Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.rep.monitor
Class GroupChangeEvent

    java.lang.Object
      com.sleepycat.je.rep.monitor.MonitorChangeEvent
          com.sleepycat.je.rep.monitor.GroupChangeEvent

    public class GroupChangeEvent

extends MonitorChangeEvent

The event generated when the group composition changes. A new instance of this event is generated each time a node is added or removed from the group.

Nested Class Summary
`static class` | `GroupChangeEvent.GroupChangeType` The kind of GroupChangeEvent.

Method Summary
`GroupChangeEvent.GroupChangeType` | `getChangeType()` Returns the type of the change (the addition of a new member or the removal of an existing member) made to the group.
`ReplicationGroup` | `getRepGroup()` Returns the current description of the replication group.

Methods inherited from class com.sleepycat.je.rep.monitor.MonitorChangeEvent
`getNodeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRepGroup

    public ReplicationGroup getRepGroup()

  Returns the current description of the replication group.

### getChangeType

    public GroupChangeEvent.GroupChangeType getChangeType()

  Returns the type of the change (the addition of a new member or the removal of an existing member) made to the group. The method `MonitorChangeEvent.getNodeName` can be used to identify the node that triggered the event.

  Returns:
    the group change type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.